# InvalidSlotA.cpp File Reference

`#include "InvalidSlotC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for InvalidSlotA.cpp:

## Namespaces

namespace | PortableInterceptor
namespace | TAO

## Functions

template<>
CORBA::Boolean | Any_Dual_Impl_T< PortableInterceptor::InvalidSlot >::demarshal_value (TAO_InputCDR &cdr)
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::InvalidSlot &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::InvalidSlot *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::InvalidSlot *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::InvalidSlot *&_tao_elem)

## Variables

TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *const | _tao_fields_PortableInterceptor_InvalidSlot = 0
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableInterceptor_InvalidSlot (CORBA::tk_except,"IDL:omg.org/PortableInterceptor/InvalidSlot:1.0","InvalidSlot", _tao_fields_PortableInterceptor_InvalidSlot, 0)
::CORBA::TypeCode_ptr const | _tc_InvalidSlot

## Function Documentation

template<>
CORBA::Boolean Any_Dual_Impl_T< PortableInterceptor::InvalidSlot >::demarshal_value | ( | TAO_InputCDR & | cdr | ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::InvalidSlot * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableInterceptor::InvalidSlot & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableInterceptor::InvalidSlot *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::InvalidSlot *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const* const _tao_fields_PortableInterceptor_InvalidSlot = 0`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_PortableInterceptor_InvalidSlot(CORBA::tk_except,"IDL:omg.org/PortableInterceptor/InvalidSlot:1.0","InvalidSlot", _tao_fields_PortableInterceptor_InvalidSlot, 0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const PortableInterceptor::_tc_InvalidSlot

Initial value:

        &_tao_tc_PortableInterceptor_InvalidSlot